Name:           ncdu
Version:        1.12
Release:        1
Summary:        Text-based disk usage viewer
Group:          Applications/File
License:        MIT
URL:            http://dev.yorhel.nl/ncdu/
Source0:        http://dev.yorhel.nl/download/%{name}-%{version}.tar.gz
Source1:        http://dev.yorhel.nl/download/%{name}-%{version}.tar.gz.asc
Source2:        http://dev.yorhel.nl/download/%{name}-%{version}.tar.gz.md5
Source3:        http://dev.yorhel.nl/download/%{name}-%{version}.tar.gz.sha1

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  ncurses-devel >= 5.9-1
Requires:       ncurses >= 5.9-1

%description
ncdu (NCurses Disk Usage) is a curses-based version of the well-known 'du',
and provides a fast way to see what directories are using your disk space.


%prep
%setup -q


%build
export CC="xlc_r"

export CFLAGS="-qmaxmem=262144 -DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O3 -qstrict -I/opt/freeware/include -I/opt/freeware/include/ncurses"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Thu Dec 15 2016 Michael Perzl <michael@perzl.org> - 1.12-1
- updated to version 1.12

* Fri Jan 01 2016 Michael Perzl <michael@perzl.org> - 1.11-1
- updated to version 1.11

* Thu May 09 2013 Michael Perzl <michael@perzl.org> - 1.10-1
- updated to version 1.10

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Tue Nov 08 2011 Michael Perzl <michael@perzl.org> - 1.8-1
- first version for AIX V5.1 and higher
